\name{redlWorld-class}
\docType{class}
\alias{redlWorld-class}
\alias{freeRedl,redlWorld-method}
\alias{getStatus,redlWorld-method}
\alias{makeRedlURI,character,redlWorld-method}
\alias{ref,redlWorld-method}
\alias{setStatus,redlWorld-method}
\alias{show,redlWorld-method}
\alias{openRedlWorld}
\alias{redlWorld}

\title{Class "redlWorld" for representing RDF worlds using Redland librdf  }
\description{ represents RDF worlds using Redland librdf }
\section{Objects from the Class}{
Objects can be created by calls of the form \code{new("redlWorld", ...)}.
In general only one open world should exist in any session.
}
\section{Slots}{
	 \describe{
    \item{\code{ref}:}{Object of class \code{"externalptr"}, pointer
to malloc'd memory for the librdf\_world instance }
    \item{\code{stateEnv}:}{Object of class \code{"environment"},
holds information on status of world instance }
  }
}
\section{Methods}{
  \describe{
    \item{freeRedl}{\code{signature(x = "redlWorld")}: execute
free and close methods of librdf }
    \item{getStatus}{\code{signature(x = "redlWorld")}: obtain
the status string from the R instance }
    \item{makeRedlURI}{\code{signature(uri = "character", w = "redlWorld")}: 
create a URI reference in the  current world }
    \item{setStatus}{\code{signature(x = "redlWorld")}: set
the status field with a string.  Use any value other than 'open' 
to close the world from the perspective of R.}
    \item{show}{\code{signature(object = "redlWorld")}: print simple
report. }
	 }
}
\references{ \url{librdf.org} }
\author{ VJ Carey <stvjc@channing.harvard.edu> }
\examples{
nw = openRedlWorld(.force=TRUE)
nw
}
\keyword{classes}
